<?php
@session_start();

$mandant_name = $_SESSION[ "mandant_name" ];

include_once( "f_admin.php" );
include_once( "f_wfl.php" );
include_once( "kd_einsprungspunkte.php" );





///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMINISTRATOR" );


if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////





$_SESSION[ "javascript_startup" ] = "function nach_links()
{
	// Elementzugriff regeln
	var selr = document.getElementById(\"idselr\");  // rechte Select-Box
	var sell = document.getElementById(\"idsell\");  // linke Select-Box
	var inpt = document.getElementById(\"idinp\");   // Input-Box
	
	// das ausgewählte Element aus der rechten Select-Box
	var zu_uebertragendes_element	= selr.selectedIndex;
	var rechte_id					= selr.options[ zu_uebertragendes_element ].value;
	var rechter_value				= selr.options[ zu_uebertragendes_element ].text;
	
	// Neues Element erzeugen
	var Eintrag		= document.createElement(\"option\");
	Eintrag.value	= rechte_id;
	Eintrag.text	= rechter_value;
	
	// Eintrag rechts löschen
	selr.remove( zu_uebertragendes_element );
	
	// Eintrag links einstellen
	sell.add( Eintrag );
	
	// Eintrag in Input-Box machen
	inpt.value = inpt.value + \";\" + rechte_id;
	
	
}


function nach_rechts()
{
	// Elementzugriff regeln
	var selr = document.getElementById(\"idselr\");  // rechte Select-Box
	var sell = document.getElementById(\"idsell\");  // linke Select-Box
	var inpt = document.getElementById(\"idinp\");   // Input-Box
	
	// das ausgewählte Element aus der rechten Select-Box
	var zu_uebertragendes_element	= sell.selectedIndex;
	var linke_id					= sell.options[ zu_uebertragendes_element ].value;
	var linker_value				= sell.options[ zu_uebertragendes_element ].text;
	
	// Neues Element erzeugen
	var Eintrag		= document.createElement(\"option\");
	Eintrag.value	= linke_id;
	Eintrag.text	= linker_value;
	
	// Eintrag rechts löschen
	sell.remove( zu_uebertragendes_element );
	
	// Eintrag links einstellen
	selr.add( Eintrag );
	
	// Eintrag in Input-Box machen
	var neu_value = \"\";
	
	// in suche steht die erste Position des zu entfernenden Elements
	var suche = inpt.value.indexOf( linke_id );
	
	// in ende steht die Position des ersten Trennzeichens (Semikolon) nach dem zu entfernenden Element oder -1, falls es das letzte Element war
	var ende  = inpt.value.indexOf( \";\", suche );
	
	if ( ende > 0 )
	{
		neu_value = inpt.value.slice( 0, suche - 1 ) + inpt.value.slice( ende );
	}
	else
	{
		neu_value = inpt.value.slice( 0, suche - 1 );
	}
	
	
	inpt.value = neu_value;
	
	
}

";



$_SESSION[ "title" ] = "Administratorbereich Dokument- und Aktenverwaltung";
include( 'ssi_header.php' );


$_SESSION[ "title" ] = "";
include( "ad_menu.php" );
$_SESSION[ "javascript_startup" ] = "";


echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";
//echo "<span>Schnellsuche:</span><input type='text' style='width:200px;' value='Schnellsuche ...' name='schnellsuche' id='schnellsuche' onfocus=\"this.value = '';  fuelle_element( 'ergebnis_1', '' ); \" onblur=\"this.value='Schnellsuche ...';\" onkeyup=\"ajaxFunction( 'su_web.php?cmd=suche_benutzer&mandant_name=".urlencode( $mandant_name )."&konfig_option='+encodeURIComponent( this.value ), 'eintraege_liste' );\"    /><br /><br />";

echo '<div id="eintraege_liste" name="eintraege_liste" style=" display:inline;" ><select id="select_style_1" size="20" name="users"   onchange="fuelle_element( \'ergebnis_3\', \'\' );ajaxFunction( \'su_web.php?cmd=liefere_dokartinformationen&alpha_01=\'+this.value, \'ergebnis_1\' ); ajaxFunction( \'su_web.php?cmd=liefere_dokart_optionen&alpha_01=\'+this.value, \'ergebnis_2\' );"  >';
//
// Schleife über die Optionen


$ergebnis = liefere_dok_akten_art_liste( $mandant_name );


foreach ( $ergebnis[ 2 ] as $zeile )
{
	if ( $zeile[ "dokart_typ" ] == "A" )
	{
		$akten[ $zeile[ "dokart_kuerzel" ] ] = $zeile[ "dokart_name" ];
	}
	else
	{
		$dokarten[ $zeile[ "dokart_kuerzel" ] ] = $zeile[ "dokart_name" ];
	}
	//echo "<option value='".$zeile[ "dokart_kuerzel" ]."'>".$zeile[ "dokart_name" ]."</option>";
}

if ( count( $akten ) > 0 )
{
	$akten_opts = "<optgroup label='Aktenarten'>";
	
	asort( $akten );
	
	foreach( $akten as $dokart_kurz => $dokart_nam )
	{
		$akten_opts = $akten_opts."<option value='".$dokart_kurz."'>".$dokart_nam."</option>";;
	}
	$akten_opts = $akten_opts."</optgroup>";
}

if ( count( $dokarten ) > 0 )
{
	$dokarten_opts = "<optgroup label='Dokumentarten'>";
	
	asort( $dokarten );
	
	foreach( $dokarten as $dokart_kurz => $dokart_nam )
	{
		$dokarten_opts = $dokarten_opts."<option value='".$dokart_kurz."'>".$dokart_nam."</option>";;
	}
	$dokarten_opts = $dokarten_opts."</optgroup>";
}
echo $akten_opts.$dokarten_opts;
?>
</select></div>


<div name="ergebnis_1" id="ergebnis_1" style=" vertical-align:top;  position:absolute;  display:inline; margin-top:10px;" ></div>
	
	


<div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ><input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="$( '#ergebnis_3' ).load( 'su_web.php?cmd=dokart_anlegen' );   " /></div>

<?php

echo '<div name="ergebnis_3" id="ergebnis_3" style=" margin-top:10px;" >'.$_SESSION[ "meldung_ad" ].'</div>';
	$_SESSION[ "meldung_ad" ] = "";

echo "</div>";

include( 'ssi_footer.php' );

?>